Author Topic: AutoCad prank help  (Read 1752 times)

0 Members and 1 Guest are viewing this topic.

BIGAL

  • Newt
  • Posts: 91
  • 30 + years of using Autocad
Re: AutoCad prank help
« Reply #15 on: November 03, 2017, 07:13:35 pm »
You can put messages on the bottom of the screen using MODEMACRO

But this is a nice one send voice messages, dont forget if on a server based startup can check for an individual user id so could have different messages. (getenv "username")

Code: [Select]
(defun SpeakSapi ( s / sapi )
(if (eq (type s) 'STR)
(progn
(setq sapi (vlax-create-object "Sapi.SpVoice"))
(vlax-put sapi 'SynchronousSpeakTimeout 1)
(vlax-invoke-method sapi 'WaitUntilDone 0)
(vlax-invoke sapi "Speak" s 0)
(vlax-release-object sapi)
)))
(speaksapi "Welcome from BIG al the humour and respect you can expect here at The swamp")
A man who never made a mistake never made anything